# spec file originally created for Fedora, modified for Moblin Linux
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
Summary: Python bindings for newt
Group: Development/Libraries
Name: newt-python
Version: 0.52.10
Release: 4.8.moblin2
License: LGPLv2
URL: https://fedorahosted.org/newt/
Source: https://fedorahosted.org/releases/n/e/newt/newt-%{version}.tar.gz
BuildRequires: popt-devel slang-devel
BuildRequires: python-devel
Provides: snack = %{version}-%{release}
Requires: newt = %{version}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description 
The newt-python package contains the Python bindings for the newt library
providing a python API for creating text mode ionterfaces. 

%prep
%setup -q -n newt-%{version}

%build
# gpm support seems to smash the stack w/ we use help in anaconda??
# --with-gpm-support
%configure --without-tcl
make %{?_smp_mflags} all
chmod 0644 peanuts.py popcorn.py

%install
rm -rf $RPM_BUILD_ROOT
make instroot=$RPM_BUILD_ROOT install
find "%{buildroot}" -not -type d -and -not -path %{buildroot}%{_libdir}/python%{py_ver}/site-packages/\* -print0 | xargs -0 rm

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{python_sitearch}/*.so
%{python_sitearch}/*.py*

%changelog
* Sat Sep  6 2008 Anas Nashif <anas.nashif@intel.com> 0.52.10
- enable python bindings
